Subject: [bug#53878] [PATCH v2 05/15] gnu: chez-scheme: Use new package style.

From: Liliana Marie Prikler <[email-masked]>
Date: Fri, 18 Feb 2022 08:15:32 +0100

Am Donnerstag, dem 17.02.2022 um 15:50 -0500 schrieb Philip McGrath:
> * gnu/packages/chez-and-racket-bootstrap.scm (chez-scheme)[inputs,
> native-inputs]: Remove labels.
> [arguments]: Use G-expressions.
> <#:phases>: Use 'search-input-file' instead of 'assoc-ref'.
If nothing else is preventing you from doing so, I'd cut this patch in
two here.  Also
> (nanopass, stex): Make public as a temporary workaround for Racket.
You might want to make them public at the point of moving them to
bootstrap and then hide them once you're done.  If you want to prevent
the user from installing them, use hidden-package instead.
> * gnu/packages/racket/scm
.scm
> (racket-bootstrap-chez-bootfiles)[native-inputs]:
> Update accordingly.